keys:
  - &admin_christine age1746rvsvsc3snxfl7cndm222wd5kck4aqj3x7nednlegq0gdjhfcqx0qv7m
  - &server_songsheet age1la8yjuc2ws9pyx70rc83jd2084v5e08v8fvh6muvfzrl2ulp8fms6frs86
  - &server_traefik age1rdcs8y4fjfyagwt2q9599ax329thceersh6dg2f0p6nsghm5xufq00qu0p
  - &server_database age1k9ddvzypz986a7dt403ja6evql2agz0gehll79mx64zceteya38smxph8m
  - &server_build_machine age1xtsm7kmql8794756ls53eu8pusyadk4lauadxx867tgsjhd38y5sj7elca
  - &server_christine age1kzsrlz86y5nqe4vaufv8chupq2hrf3avlmxsp3d5p9t5xj593deszslkmp
  - &server_mail age1pkn38zzyckxqgeud7s7y3uuhd7pau3csh56rn3ue4altzkressdsaxs4et
creation_rules:
  - path_regex: nix-system-configs/secrets/songsheet/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
        - *admin_christine
        - *server_songsheet
  - path_regex: nix-system-configs/secrets/traefik/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
        - *admin_christine
        - *server_traefik
  - path_regex: nix-system-configs/secrets/database/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
        - *admin_christine
        - *server_database
  - path_regex: nix-system-configs/secrets/christine/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *server_christine
          - *admin_christine
  - path_regex: nix-system-configs/secrets/wireguard/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *admin_christine
  - path_regex: nix-system-configs/secrets/build_machine/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *admin_christine
          - *server_build_machine
  - path_regex: nix-system-configs/secrets/mail/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *admin_christine
          - *server_mail